%define name XFree86
%define version 4.0.1
%define baseversion 400
%define release 28mdk
%define usecvs 0
%define cvstag xf-4_0_1

Packager: Frederic Lepied <flepied@mandrakesoft.com>
Summary: Part of the XFree86 implementation of the X Window System.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: MIT
Group: System/XFree86
Icon: XFree86-logo.xpm
Requires: pam >= 0.66-18, XFree86-xfs, util-linux, sh-utils, xinitrc >= 2.4.4-10mdk
Requires: XFree86 >= 3.3.6
Requires: /lib/cpp
Prereq: /sbin/chkconfig utempter
BuildRequires: freetype-devel >= 1.3 zlib-devel
BuildRoot: %{_tmppath}/%{name}-root

Source0: ftp://ftp.xfree86.org/pub/XFree86/snapshots/%{version}/X%{baseversion}src-1.tar.bz2
Source1: ftp://ftp.xfree86.org/pub/XFree86/snapshots/%{version}/X%{baseversion}src-2.tar.bz2
Source2: ftp://ftp.xfree86.org/pub/XFree86/snapshots/%{version}/X%{baseversion}src-3.tar.bz2
Source3: xserver.pamd
Source4: xdm.pamd
Source5: xfs.init
Source6: xfs.config
Source8: xdm.init
Source9: twm.method
Source10: system.twmrc
Source100: Euro.xmod.bz2
#Source101: XCompose-lat9.bz2
Source102: eurofonts-X11.tar.bz2
Source151: mdk_drakx_fonts.tar.bz2
Source152: xfsft-encodings.tar.bz2
#source mdk icons (by deush)
Source200: icons-%{name}.tar.bz2

Patch0: 4.0-4.0.1.diff1.bz2
Patch1: 4.0-4.0.1.diff2.bz2
Patch2: XFree86-nv-current.patch.bz2

Patch23: XFree86-4.0-startx_xauth.patch.bz2
Patch24: XFree86-4.0-xfsredhat.patch.bz2

Patch107: XFree86-4.0-gcc-not-ld-2.patch.bz2
Patch108: XFree86-4.0-sparc-asmflags.patch.bz2
Patch109: XFree86-4.0.1-alpha-pcibus-lemming.patch.bz2
Patch112: XFree86-4.0.1-drivers-int.patch.bz2
#
Patch152: XFree86-3.3.3.1-Sessions.patch.bz2
Patch153: XFree86-3.3.3.1-xsetupmdk.patch.bz2

#
Patch154: XFree86-xtt-1.3.patch.bz2
Patch155: xtt-fix-current.patch.bz2
Patch156: XFree86-4.0.1-vidmod.patch.bz2

Patch200: XFree86-xfs-fix.patch.bz2
Patch201: XFree86-twm.patch.bz2
Patch202: XFree86-xwrapper.patch.bz2
Patch208: XFree86-4.0.1-dga-compat.patch.bz2

# Pablo i18n patchs
# add new font encodings to xtt
Patch203: XFree86-4.0-xtt-patch.bz2
#
Patch205: XFree86-4.0-i18n.diff.bz2
Patch206: XFree86-4.0-locales_names.diff.bz2
Patch207: XFree86-4.0-fixkbd.diff.bz2

Patch500: XFree86-4.0.tdfx.patch.bz2
Patch501: XFree86-4.0.1-i810.patch.bz2
Patch502: XFree86-4.0.1-tdfxdrmfixes.patch.bz2

# libglide3x => libglide3
Patch503: XFree86-4.0.1-glide3.patch.bz2

# modifications for  start and xinit for autologin 
Patch504: XFree86-autologin.patch.bz2

## PPC
Patch600: XFree4.01-ppc.patch.bz2 

%description
If you want to install the X Window System (TM) on
your machine, you'll need to install XFree86.

The X Window System provides the base technology
for developing graphical user interfaces. Simply stated,
X draws the elements of the GUI on the user's screen and
builds methods for sending user interactions back to the
application. X also supports remote application deployment--running an
application on another computer while viewing the input/output 
on your machine.  X is a powerful environment which supports
many different applications, such as games, programming tools,
graphics programs, text editors, etc.  XFree86 is the version of
X which runs on Linux, as well as other platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

In addition to installing this package, you will need to install 
the XFree86 package which corresponds to your video card, the 
X11R6-contrib package, the Xconfigurator package and the XFree86-libs 
package. You may also need to install one of the XFree86 fonts packages.  

And finally, if you are going to develop applications that run as 
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System.
Group: System/Fonts/X11 bitmap
Prereq: chkfontpath, psmisc, /usr/X11R6/bin/xset, XFree86 = %{version}
%ifarch sparc
Obsoletes: X11R6.1-75dpi-fonts
%endif

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used
on most X Window Systems. If you're going to use the 
X Window System, you should install this package, unless 
you have a monitor which can support 100 dpi resolution. 
In that case, you may prefer the 100dpi fonts available in 
the XFree86-100dpi-fonts package.

You may also need to install other XFree86 font packages.

To install the X Window System, you will need to install
the XFree86 package, the XFree86 package corresponding to
your video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run
as X clients, you will also need to install the
XFree86-devel package.

%package 100dpi-fonts
Summary: X Window System 100dpi fonts.
Group: System/Fonts/X11 bitmap
Prereq: chkfontpath, psmisc, /usr/X11R6/bin/xset, XFree86 = %{version}
%ifarch sparc
Obsoletes: X11R6.1-100dpi-fonts
%endif

%description 100dpi-fonts
If you're going to use the X Window System and you have a
high resolution monitor capable of 100 dpi, you should install
XFree86-100dpi-fonts. This package contains a set of
100 dpi fonts used on most Linux systems.

If you are installing the X Window System, you will also
need to install the XFree86 package, the XFree86
package corresponding to your video card, the X11R6-
contrib package, the Xconfigurator package and the
XFree86-libs package. If you need to display certain
fonts, you may also need to install other XFree86 fonts
packages.

And finally, if you are going to develop applications that
run as X clients, you will also need to install the
XFree86-devel package.

%package cyrillic-fonts
Summary: Cyrillic fonts - only needed on the server side.
Group: System/Fonts/X11 bitmap
Prereq: chkfontpath, psmisc, /usr/X11R6/bin/xset, XFree86 = %{version}

%description cyrillic-fonts
The Cyrillic fonts included with XFree86 3.3.2 and higher. Those who
use a language requiring the Cyrillic character set should install
this package.

%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6.
Group: System/Libraries
Prereq: grep /sbin/ldconfig
Requires: freetype >= 1.3
Provides: Mesa
%ifarch sparc
Obsoletes: X11R6.1-libs
%endif

%description libs
XFree86-libs contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

If you are installing the X Window System on your machine, you will need to
install XFree86-libs.  You will also need to install the XFree86 package,
the XFree86-75dpi-fonts package or the XFree86-100dpi-fonts package
(depending upon your monitor's resolution), the Xconfigurator package and
the X11R6-contrib package.  And, finally, if you are going to be developing
applications that run as X clients, you will also need to install
XFree86-devel.

%package devel
Summary: headers and programming man pages.
Group: Development/C
Obsoletes: Mesa-devel
Provides: Mesa-devel
%ifarch sparc
Obsoletes: X11R6.1-devel
%endif
Requires: XFree86-libs = %{version}-%{release}, glibc-devel, /lib/cpp

%description devel
XFree86-devel includes the libraries, header files and documentation
you'll need to develop programs which run in X clients. XFree86 includes
the base Xlib library as well as the Xt and Xaw widget sets.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

Install XFree86-devel if you are going to develop programs which
will run as X clients.

If you need the static libraries, install the XFree86-static-libs
package.

%package static-libs
Summary: X11R6 static libraries
Group: System/Libraries
Requires: XFree86-devel = %{version}-%{release}

%description static-libs
XFree86-devel includes the X11R6 static libraries needed to
build statically linked programs.

%package doc
Summary: Documentation on various X11 programming interfaces
Group: System/XFree86

%description doc
XFree86-doc provides a great deal of extensive PostScript documentation
on the various X APIs, libraries, and other interfaces.  If you need
low level X documentation, you will find it here.  Topics include the
X protocol, the ICCCM window manager standard, ICE session management,
the font server API, etc.

%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86.
Group: System/XFree86
Requires: XFree86 = %{version}-%{release}

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one. 

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%package Xnest
Summary: A nested XFree86 server.
Group: System/XFree86
Requires: XFree86-xfs
Requires: XFree86 = %{version}-%{release}

%description Xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the 
real X server, which manages windows and graphics requests 
for Xnest, while Xnest manages the windows and graphics 
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%package server
Summary: The X server from the snapshot release of XFree86
Group: System/XFree86
Requires: XFree86

Obsoletes: xserver-wrapper

%description server
XFree86-server is the new generation of X server from XFree86.

%ifarch %{ix86}
%package glide-module
Summary: The glide module for XFree86 server.
Group: System/XFree86
Requires: XFree86-server = %{version}-%{release}
BuildRequires: Glide_V3-DRI-devel

%description glide-module
glide module for XFree86.
%endif

%package xfs
Group: System/Servers
Summary: Font server for XFree86
# The URL of te X-TT font server
#URL: http://X-TT.dsl.gr.jp/
# The URL of the xfsft font server
URL: http://www.joerg-pommnitz.de/TrueType/xfsft.html
Prereq: shadow-utils
Requires: initscripts >= 5.27-28mdk
Requires: XFree86-libs = %{version}-%{release}
Obsoletes: xtt

%description xfs
This is a font server for XFree86.  You can serve fonts to other X servers
remotely with this package, and the remote system will be able to use all
fonts installed on the font server, even if they are not installed on the
remote computer.

%prep
%if %{usecvs}
rm -rf %{name}
mkdir %{name}
cd %{name}
cvs -d :ext:flepied@kenobi:/C/repository-XFree export -r %{cvstag} xc
%else
%setup -q -c -a 1 -a 2

%patch0 -p0
%patch1 -p0
%patch2 -p0 -b .nv
%endif

# fix xfs
%patch200 -p0

# fix VidMod extension for 3.3 servers
%patch156 -p0 -b .vidmod

%patch23 -p0 -b .startx_xauth
%patch24 -p1 -b .xfsredhat

# Use gcc -shared, not ld -shared
%patch107 -p1 -b .gcc-not-ld
%patch108 -p1 -b .sparc-asmflags
%ifarch alpha
%patch109 -p0 -b .lemming
%endif

%patch202 -p0 -b .xwrapper
%patch208 -p0 -b .dga-compat
#%patch500 -p0 -b .tdfx
%patch501 -p0 -b .i810
%patch502 -p1 -b .tdfxdrmfixes

%patch503 -p0

%patch203 -p1 -b .xtt
%patch205 -p1 -b .i18n
%patch206 -p1 -b .locales_names
#%patch207 -p1 -b .fixkbd
%patch207 -p1
%patch504 -p0 -b .fred
 
# PPC
%ifarch ppc
%patch600 -p1
%endif

cat >xc/config/cf/host.def <<END
#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS
#define HasAgpGart		YES
#define HasLdRunPath		NO
#define InstallXserverSetUID	NO
#define BuildServersOnly        NO
#define HasFreeType		YES
#define BuildWithFreeType	YES
#define FreeTypeLibDir		/usr/lib
#define FreeTypeIncDir		/usr/include/freetype
#define FreeTypeLibName		ttf
#define HasBlindFaithInUnicode	YES
#define BuildFonts		YES
#define BuildCyrillicFonts	YES
#define BuildPexExt		YES
#define BuildXF86MiscExt	YES
#define BuildHtmlManPages	NO
#define XVendorString		"Linux Mandrake (XFree86 %{version}, patch level %{release})"
#define UseInternalMalloc	NO
#define ForceNormalLib		YES
#define NormalLibFont		NO
#define UseXserverWrapper	YES
%ifarch %{ix86}
#define BuildXF86DRM		YES
%endif
#define HasGlide2		YES
#define Glide2IncDir		/usr/include/glide2
#define HasGlide3		YES
#define Glide3IncDir		/usr/include/glide3
#define UseGccMakeDepend	YES
#define XInputDrivers		mouse dynapro elographics microtouch mutouch wacom void
#define RawCppCmd               CppCmd
#define LinkGLToUsrInclude	NO
#define LinkGLToUsrLib		NO

#define AdmDir /var/log
#define LbxproxyDir /etc/X11/lbxproxy
#define ProxyManagerDir /etc/X11/proxymngr
#define ServerConfigDir /etc/X11/xserver
#define XdmDir /etc/X11/xdm
#define XConfigDir /etc/X11
#define XinitDir /etc/X11/xinit
END

# DrakX fonts
mkdir mdk-fonts
bzcat $RPM_SOURCE_DIR/mdk_drakx_fonts.tar.bz2 | tar xf - -C mdk-fonts

%build
%if %{usecvs}
cd %{name}
%endif

%ifarch alpha
%make World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a" \
	DEFAULTFONTPATH="/usr/X11R6/lib/X11/fonts/misc/:unscaled,unix/:-1" \
	MAKE="make -j$NPROCS"
# we are having problems with the compiler on alpha.
make -C xc/programs/xterm CDEBUGFLAGS="-Wa,-m21164a"
make -C xc
rm xc/programs/xfs/os/io.o
pushd xc/programs/xfs/os
make CDEBUGFLAGS=""
cd ..
rm xfs
make CDEBUGFLAGS=""
popd
%else
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS|sed 's/-fomit-frame-pointer//')

%make World -C xc CC="gcc" CXX="g++" CDEBUGFLAGS="$RPM_OPT_FLAGS" \
	CXXDEBUGFLAGS="$RPM_OPT_FLAGS" \
	DEFAULTFONTPATH="/usr/X11R6/lib/X11/fonts/misc/:unscaled,unix/:-1" \
        MAKE="make -j$NPROCS"
%endif

# DrakX fonts
for i in mdk-fonts/*.bdf ; do
	LD_LIBRARY_PATH=xc/lib/font xc/programs/bdftopcf/bdftopcf -o mdk-fonts/`basename $i .bdf`.pcf $i
done
gzip -9 mdk-fonts/*.pcf

echo PACKAGING DOCUMENTATION
# rezip these - they are in the old compress format
find xc/doc/hardcopy -name \*.PS.Z | xargs gzip -df
find xc/doc/hardcopy -name \*.PS | xargs gzip

groff -Tascii -ms xc/doc/misc/RELNOTES.ms > xc/doc/hardcopy/RELNOTES.txt
rm xc/doc/hardcopy/BDF/*
groff -Tascii -ms xc/doc/specs/BDF/bdf.ms > xc/doc/hardcopy/BDF/bdf.txt
rm xc/doc/hardcopy/CTEXT/*
groff -Tascii -ms xc/doc/specs/CTEXT/ctext.tbl.ms >xc/doc/hardcopy/CTEXT/ctext.tbl.txt
rm xc/doc/hardcopy/FSProtocol/*
groff -Tascii -ms xc/doc/specs/FSProtocol/protocol.ms >xc/doc/hardcopy/FSProtocol/protocol.txt
rm xc/doc/hardcopy/ICCCM/*
groff -Tascii -ms xc/doc/specs/ICCCM/icccm.ms >xc/doc/hardcopy/ICCCM/icccm.txt+rm xc/doc/hardcopy/ICE/*
groff -Tascii -ms xc/doc/specs/ICE/ICElib.ms >xc/doc/hardcopy/ICE/ICElib.txt
groff -Tascii -ms xc/doc/specs/ICE/ice.ms > xc/doc/hardcopy/ICE/ice.txt
cp xc/doc/specs/PM/PM_spec xc/doc/hardcopy/ICE
rm xc/doc/hardcopy/SM/*
groff -Tascii -ms xc/doc/specs/SM/SMlib.ms > xc/doc/hardcopy/SM/SMlib.txt
rm xc/doc/hardcopy/XDMCP/*
groff -Tascii -ms xc/doc/specs/XDMCP/xdmcp.ms >xc/doc/hardcopy/XDMCP/xdmcp.txt+rm xc/doc/hardcopy/XIM/*
groff -Tascii -ms xc/doc/specs/XIM/xim.ms > xc/doc/hardcopy/XIM/xim.txt
rm xc/doc/hardcopy/XLFD/*
groff -Tascii -ms xc/doc/specs/XLFD/xlfd.tbl.ms >xc/doc/hardcopy/XLFD/xlfd.tbl.txt

%install
%if %{usecvs}
cd %{name}
%endif
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/xserver
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/xdm
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc
mkdir -p $RPM_BUILD_ROOT/etc/X11

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# we don't want libXpm from XFree86
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libXpm*
rm -f $RPM_BUILD_ROOT/usr/X11R6/include/X11/Xpm.h

# setup the default X server
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -s Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

# don't make SuperProbe setuid
# don't make the servers setuid
(	cd $RPM_BUILD_ROOT/usr/X11R6/bin
	chmod 755 SuperProbe
# Xsun* XF68_*
)

# explicitly create X authdir
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm/authdir
chmod 0700 $RPM_BUILD_ROOT/etc/X11/xdm/authdir

# Move config config stuff to /etc/X11
mkdir -p $RPM_BUILD_ROOT/etc/X11
#ln -sf ../../../../etc/X11/XF86Config $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config.eg $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config-4.eg

# for i in twm fs xsm; do
#     rm -rf $RPM_BUILD_ROOT/etc/X11/$i
#     cp -ar $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i $RPM_BUILD_ROOT/etc/X11
#     rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
#     ln -sf ../../../../etc/X11/$i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
# done

# xkb 'compiled' files need to be in /var/lib/xkb, so
# /usr is NFS / read-only mountable
mkdir -p $RPM_BUILD_ROOT/var/lib/xkb
cp -a $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled/* \
	$RPM_BUILD_ROOT/var/lib/xkb
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled
ln -sf ../../../../../var/lib/xkb \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled

# This one is on xinitrc package now.
## install replacement Xsession file for xdm
#install -m 755 $RPM_SOURCE_DIR/Xsession.mandrake \
#      $RPM_BUILD_ROOT/etc/X11/xdm/Xsession

# we install our own config file for the xfs package
mkdir -p $RPM_BUILD_ROOT/etc/X11/fs
install -m 644 $RPM_SOURCE_DIR/xfs.config \
	$RPM_BUILD_ROOT/etc/X11/fs/config
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/xfs.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/xfs

# install service for xdm
#install -m 755 $RPM_SOURCE_DIR/xdm.init \
#	$RPM_BUILD_ROOT/etc/rc.d/init.d/xdm

# we get xinit from a separate package
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit
ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit

# Fix up symlinks
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
ln -sf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -sf ../X11R6/lib/X11 $RPM_BUILD_ROOT/usr/lib/X11

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/geometry/sgi

# this certainly doesn't need to be setuid
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/dga

# EURO support
(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc;
 tar xyf $RPM_SOURCE_DIR/eurofonts-X11.tar.bz2;
 bdftopcf -t Xlat9-10x20.bdf |gzip -9 >Xlat9-10x20-lat9.pcf.gz;
 bdftopcf -t Xlat9-8x14.bdf |gzip -9 >Xlat9-8x14-lat9.pcf.gz;
 bdftopcf -t Xlat9-9x16.bdf |gzip -9 >Xlat9-9x16-lat9.pcf.gz;
 rm *.bdf
 mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc)

%ifarch %{ix86} sparc m68k
  ln -sf libPEX5.so.6.0 $RPM_BUILD_ROOT/usr/X11R6/lib/libPEX5.so.6
%endif

# create at least an empty Compose dir for each locale; otherwise the
# keysysms of keyboard map files don't work
#
# also a dirty hack to make japanese, polish etc display correctly

chmod u+w $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/*/*

for i in $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/* 
do
	if [ -d $i ]; then
        touch $i/Compose
	fi

	# This seem to still be needed for 16bit locales...
	# However that breaks CJK support of Motif programs (eg: Netscape)
	# But the programs broken if that isn't done being much more;
	# it is better to still keep it
	if [ -r $i/XLC_LOCALE ]; then
	    case `basename $i` in
	    ja*|ko*|zh*)
		cp $i/XLC_LOCALE $i/aa
		cat $i/aa | \
			sed 's|^use_stdc_env|#use_stdc_env|' | \
			sed 's|^force_convert_to_mb|#force_convert_to_mb|' > \
			$i/XLC_LOCALE
		rm $i/aa
		;;
	    esac
	fi
done

# Encoding files for xfsft font server
bzcat $RPM_SOURCE_DIR/xfsft-encodings.tar.bz2 | tar xf - -C $RPM_BUILD_ROOT
for i in Speedo Type1 ; do
	ln -sf /etc/X11/encodings.dir \
		$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/encodings.dir
done

# DrakX fonts
mkdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk
cp mdk-fonts/*.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk/
LD_LIBRARY_PATH=xc/lib/font $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk

# Fix conflicting files with X11-contribs and xterm
rm -f $RPM_BUILD_ROOT/etc/X11/app-defaults/{XCalc,XCalc-color,XFontSel,Xedit,Xman,XTerm}

# List modules without glide_drv.o

%if %{usecvs}
rm -f $RPM_BUILD_DIR/modules.list
find $RPM_BUILD_ROOT/usr/X11R6/lib/modules -type f -print | egrep -v 'glide_dri.so|tdfx_dri.so' | sed s@$RPM_BUILD_ROOT@@ > $RPM_BUILD_DIR/modules.list
%else
rm -f modules.list
find $RPM_BUILD_ROOT/usr/X11R6/lib/modules -type f -print | egrep -v 'glide_dri.so|tdfx_dri.so' | sed s@$RPM_BUILD_ROOT@@ > modules.list
%endif

# Fix list of static libs to list only static lib with a dynamic one.
%if %{usecvs}
rm -f $RPM_BUILD_DIR/static.list
find $RPM_BUILD_ROOT/usr/X11R6/lib -type f -maxdepth 1 -name '*.a' -print | egrep -v 'libXx|libXv|libXau' | sed s@$RPM_BUILD_ROOT@@ > $RPM_BUILD_DIR/static.list
%else
rm -f static.list
find $RPM_BUILD_ROOT/usr/X11R6/lib -type f -maxdepth 1 -name '*.a' -print | egrep -v 'libXx|libXv|libXau' | sed s@$RPM_BUILD_ROOT@@ > static.list
%endif

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu $RPM_BUILD_ROOT/etc/menu-methods
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT/etc/menu-methods/twm
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
#?package(%{name}): needs=x11 section=Multimedia/Graphics longtitle="Bitmap: editor for X bitmap files" title=Bitmap command=bitmap
#?package(%{name}): needs=x11 section=Applications/Development/Tools longtitle="Editres: resource editor for X Toolkit applications" title=Editres command=editres
#?package(%{name}): needs=x11 section=Office longtitle="Xclipboard: clipboard for text cut and paste operations in X" title=Xclipboard command=xclipboard
#?package(%{name}): needs=x11 section=Office hints="Clocks" longtitle="Xclock (analog): analog clock for X" title="Xclock (analog)" command="xclock -analog"
#?package(%{name}): needs=x11 section=Office hints="Clocks" longtitle="Xclock (digital): digital clock for X" title="Xclock (digital)" command="xclock -digital"
?package(%{name}): needs=x11 section=Applications/Monitoring icon=xconsole.xpm longtitle="Xconsole: monitor system console messages with X" title=Xconsole command=xconsole
#?package(%{name}): needs=x11 section=Office longtitle="Xcutsel: interchange between cut buffer and selection in X" title=Xcutsel command=xcutsel
?package(%{name}): needs=x11 section=Applications/Accessibility icon=xmag.xpm longtitle="Xmag: magnify parts of the X screen" title=Xmag command=xmag
?package(%{name}): needs=x11 section=Applications/Monitoring icon=xkill.xpm longtitle="Xkill: kill X clients" title=Xkill command=xkill
#?package(%{name}): needs=x11 section=Amusement/Toys longtitle="Xlogo: display X logo" title=Xlogo command=xlogo
?package(%{name}): needs=x11 section=Applications/Monitoring icon=xrefresh.xpm longtitle="Xrefresh: redraw X screen" title=Xrefresh command=xrefresh
#?package(%{name}): needs=x11 section=Multimedia/Graphics longtitle="X Window Snapshot: take snapshot of any X window (xwd|xwud)" title="X Window Snapshot" command="xwd | xwud"
?package(%{name}): needs=wm section=Session/Windowmanagers icon=twm.xpm longtitle="Twm: Tab Window Manager" title=Twm command=twm
EOF
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/X11/twm/system.twmrc-menu

#mdk menu icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE200} -C $RPM_BUILD_ROOT%{_iconsdir}

# remove xterm resources to avoid conflicts with the xterm package
rm -f $RPM_BUILD_ROOT/etc/X11/app-defaults/XTerm*

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat << EOF > $RPM_BUILD_ROOT/etc/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

# for compatibility with the Linux/OpenGL standard base
mkdir -p $RPM_BUILD_ROOT/usr/include
pushd $RPM_BUILD_ROOT/usr/include
ln -sf ../X11R6/include/GL GL
popd

# quick fix
mkdir -p $RPM_BUILD_ROOT/var/lib/xdm
cd $RPM_BUILD_ROOT/etc/X11/xdm
rm -f authdir
ln -sf ../../../var/lib/xdm authdir

%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

for d in misc PEX Speedo Type1 mdk; do
    cd /usr/X11R6/lib/X11/fonts/$d
    mkfontdir
done

%postun

if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%pre
# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.  
# Ugly. Necessary.
while read old new link; do
  if [ -d `dirname $old` -a ! -L $old ]; then
     echo "moving $old to $new linking to $link"
     if [ ! -d $new ]; then
        mkdir -p $new
     fi
     if [ -d $old ]; then
         mv -f $old/* $new
         rmdir $old
     fi
     ln -sf $link $old
  fi
done << EOF
/usr/X11R6/lib/X11/xkb/compiled /var/lib/xkb ../../../../../var/lib/xkb
/usr/X11R6/lib/X11/app-defaults /etc/X11/app-defaults ../../../../etc/X11/app-defaults
/usr/X11R6/lib/X11/lbxproxy /etc/X11/lbxproxy ../../../../etc/X11/lbxproxy
/usr/X11R6/lib/X11/proxymngr /etc/X11/proxymngr ../../../../etc/X11/proxymngr
/usr/X11R6/lib/X11/rstart /etc/X11/rstart ../../../../etc/X11/rstart
/usr/X11R6/lib/X11/xserver /etc/X11/xserver ../../../../etc/X11/xserver
/etc/X11/xdm/authdir /var/lib/xdm ../../../var/lib/xdm
EOF

#%postun
#if [ $1 = 0 ]; then
#    /sbin/chkconfig --del xdm
#fi

%post libs
grep "^/usr/X11R6/lib$" /etc/ld.so.conf >/dev/null 2>&1 || echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%post 75dpi-fonts
cd /usr/X11R6/lib/X11/fonts/75dpi
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi:unscaled
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi


%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/75dpi:unscaled
fi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%post 100dpi-fonts
cd /usr/X11R6/lib/X11/fonts/100dpi
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi:unscaled
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/100dpi:unscaled
fi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%post cyrillic-fonts
cd /usr/X11R6/lib/X11/fonts/cyrillic
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/cyrillic:unscaled
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%postun cyrillic-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/cyrillic:unscaled
fi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%pre xfs
/usr/sbin/useradd -c "X Font Server" \
	-s /bin/false -r -d /etc/X11/fs xfs 2>/dev/null || :

%post xfs
/sbin/chkconfig --add xfs

%preun xfs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xfs
    /usr/sbin/userdel xfs 2>/dev/null || :
    /usr/sbin/groupdel xfs 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files server -f modules.list
%defattr(-,root,root,-)
%doc /usr/X11R6/lib/X11/XF86Config-4.eg
/usr/X11R6/bin/XFree86

%ifarch %{ix86}
%files glide-module
%defattr(-,root,root,-)
/usr/X11R6/lib/modules/drivers/glide_drv.o
/usr/X11R6/lib/modules/dri/tdfx_dri.so
%endif

%files
%defattr(-,root,root,-)
%docdir /usr/X11R6/lib/X11/doc
%dir /etc/X11

%ifarch %{ix86} alpha sparc
%doc /usr/X11R6/lib/X11/Cards
%endif

%dir /usr/X11R6
%dir /usr/X11R6/lib
%dir /usr/X11R6/lib/X11
%dir /etc/X11/rstart
%dir /etc/X11/rstart/commands
%dir /etc/X11/rstart/commands/x11r6
%dir /etc/X11/rstart/contexts
%dir /usr/X11R6/lib/X11/etc
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/xserver

%dir /usr/X11R6/bin

%dir /etc/X11/twm
%dir /etc/X11/xdm
%dir %attr(0700,root,root) /etc/X11/xdm/authdir
%dir /etc/X11/xsm
/etc/X11/xdm/chooser
%dir /var/lib/xdm

#%config /etc/rc.d/init.d/xdm
%config(noreplace) /etc/pam.d/xserver
%config(noreplace) /etc/pam.d/xdm
%config(missingok noreplace) /etc/security/console.apps/xserver
%config(noreplace) /etc/X11/twm/system.twmrc-menu
%config(noreplace) /etc/X11/xsm/system.xsm
%config(noreplace) /etc/menu-methods/twm
%config(noreplace) /etc/logrotate.d/xdm

/usr/lib/menu/%{name}

/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/locale
%config(noreplace) /etc/X11/lbxproxy/*
%config(noreplace) /etc/X11/proxymngr/*
%dir /etc/X11/app-defaults
%config(noreplace) /etc/X11/app-defaults/*

/usr/X11R6/lib/X11/xkb
/var/lib/xkb
/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xdm
/usr/X11R6/lib/X11/twm
/usr/X11R6/lib/X11/xsm

/usr/X11R6/lib/X11/xserver/SecurityPolicy
#/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/rstart/rstartd.real
%config(noreplace) /etc/X11/rstart/config
/usr/X11R6/lib/X11/rstart/commands/x11r6/@List
/usr/X11R6/lib/X11/rstart/commands/x11r6/LoadMonitor
/usr/X11R6/lib/X11/rstart/commands/x11r6/Terminal
/usr/X11R6/lib/X11/rstart/commands/@List
/usr/X11R6/lib/X11/rstart/commands/ListContexts
/usr/X11R6/lib/X11/rstart/commands/ListGenericCommands
/usr/X11R6/lib/X11/rstart/contexts/@List
/usr/X11R6/lib/X11/rstart/contexts/default
/usr/X11R6/lib/X11/rstart/contexts/x11r6
/usr/X11R6/lib/X11/x11perfcomp
/usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/etc/sun.termcap
/usr/X11R6/lib/X11/etc/sun.terminfo
#/usr/X11R6/lib/X11/etc/xterm.termcap
#/usr/X11R6/lib/X11/etc/xterm.terminfo
/usr/X11R6/lib/X11/etc/xmodmap.std
/usr/X11R6/lib/X11/etc/Xinstall.sh
%attr(4711,root,root)		/usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/X
/usr/X11R6/bin/Xprt
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfwp
#/usr/X11R6/bin/xrx
/usr/X11R6/bin/lndir
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/makeg
/usr/X11R6/bin/appres
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/atobm
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/rstart
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/twm
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xdm
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/xdpyinfo
%attr(0755,root,root)		/usr/X11R6/bin/dga
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xinit
%config(noreplace) /usr/X11R6/bin/startx
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
#/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xset
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
#/usr/X11R6/bin/xterm
#/usr/X11R6/bin/nxterm
#/usr/X11R6/bin/resize
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/xon
/usr/X11R6/bin/xf86cfg
%{_iconsdir}

%ifarch %{ix86} alpha sparc
#/usr/X11R6/bin/reconfig
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/scanpci
/usr/X11R6/bin/SuperProbe
%endif

/usr/X11R6/include/X11/bitmaps

%dir /usr/X11R6/man
/usr/X11R6/man/man1/lbxproxy.1x*
/usr/X11R6/man/man1/proxymngr.1x*
/usr/X11R6/man/man1/xfindproxy.1x*
/usr/X11R6/man/man1/xfwp.1x*
#/usr/X11R6/man/man1/xrx.1x*
/usr/X11R6/man/man1/lndir.1x*
/usr/X11R6/man/man1/makestrs.1x*
/usr/X11R6/man/man1/makeg.1x*
/usr/X11R6/man/man1/mkdirhier.1x*
/usr/X11R6/man/man1/appres.1x*
/usr/X11R6/man/man1/bdftopcf.1x*
/usr/X11R6/man/man1/beforelight.1x*
/usr/X11R6/man/man1/bitmap.1x*
/usr/X11R6/man/man1/bmtoa.1x*
/usr/X11R6/man/man1/atobm.1x*
/usr/X11R6/man/man1/editres.1x*
/usr/X11R6/man/man1/iceauth.1x*
/usr/X11R6/man/man1/mkfontdir.1x*
/usr/X11R6/man/man1/showrgb.1x*
/usr/X11R6/man/man1/rstart.1x*
/usr/X11R6/man/man1/rstartd.1x*
/usr/X11R6/man/man1/smproxy.1x*
/usr/X11R6/man/man1/twm.1x*
/usr/X11R6/man/man1/x11perf.1x*
/usr/X11R6/man/man1/x11perfcomp.1x*
/usr/X11R6/man/man1/xauth.1x*
/usr/X11R6/man/man1/xclipboard.1x*
/usr/X11R6/man/man1/xcutsel.1x*
/usr/X11R6/man/man1/xclock.1x*
/usr/X11R6/man/man1/xcmsdb.1x*
/usr/X11R6/man/man1/xconsole.1x*
/usr/X11R6/man/man1/xdm.1x*
/usr/X11R6/man/man1/sessreg.1x*
/usr/X11R6/man/man1/xdpyinfo.1x*
/usr/X11R6/man/man1/dga.1x*
/usr/X11R6/man/man1/xfd.1x*
/usr/X11R6/man/man1/xhost.1x*
/usr/X11R6/man/man1/xieperf.1x*
/usr/X11R6/man/man1/xinit.1x*
/usr/X11R6/man/man1/startx.1x*
/usr/X11R6/man/man1/setxkbmap.1x*
/usr/X11R6/man/man1/xkbcomp.1x*
/usr/X11R6/man/man1/xkbevd.1x*
/usr/X11R6/man/man1/xkbprint.1x*
/usr/X11R6/man/man1/xkill.1x*
/usr/X11R6/man/man1/xlogo.1x*
/usr/X11R6/man/man1/xlsatoms.1x*
/usr/X11R6/man/man1/xlsclients.1x*
/usr/X11R6/man/man1/xlsfonts.1x*
/usr/X11R6/man/man1/xmag.1x*
#/usr/X11R6/man/man1/xmh.1x*
/usr/X11R6/man/man1/xmodmap.1x*
/usr/X11R6/man/man1/xprop.1x*
/usr/X11R6/man/man1/xrdb.1x*
/usr/X11R6/man/man1/xrefresh.1x*
/usr/X11R6/man/man1/xset.1x*
/usr/X11R6/man/man1/xsetmode.1x*
/usr/X11R6/man/man1/xsetpointer.1x*
/usr/X11R6/man/man1/xsetroot.1x*
/usr/X11R6/man/man1/xsm.1x*
/usr/X11R6/man/man1/xstdcmap.1x*
#/usr/X11R6/man/man1/xterm.1x*
#/usr/X11R6/man/man1/resize.1x*
/usr/X11R6/man/man1/xvidtune.1x*
/usr/X11R6/man/man1/xwd.1x*
/usr/X11R6/man/man1/xwininfo.1x*
/usr/X11R6/man/man1/xwud.1x*
/usr/X11R6/man/man1/xon.1x*
/usr/X11R6/man/man1/Xserver.1x*
/usr/X11R6/man/man1/XFree86.1x*
/usr/X11R6/man/man1/xf86cfg.1x*
/usr/X11R6/man/man5/XF86Config.5x*
/usr/X11R6/man/man4/*
/usr/X11R6/man/man7/*

%ifarch %{ix86} alpha sparc
#/usr/X11R6/man/man1/reconfig.1x*
/usr/X11R6/man/man1/xf86config.1x*
/usr/X11R6/man/man1/SuperProbe.1x*
%endif

%dir /usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Speedo/*.spd
%ghost /usr/X11R6/lib/X11/fonts/Speedo/fonts.dir
/usr/X11R6/lib/X11/fonts/Speedo/fonts.scale

%dir /usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/Type1/*.pfa
/usr/X11R6/lib/X11/fonts/Type1/*.pfb
%ghost /usr/X11R6/lib/X11/fonts/Type1/fonts.dir
/usr/X11R6/lib/X11/fonts/Type1/fonts.scale

%dir /usr/X11R6/lib/X11/fonts/misc
/usr/X11R6/lib/X11/fonts/misc/*.gz
%ghost /usr/X11R6/lib/X11/fonts/misc/fonts.dir
/usr/X11R6/lib/X11/fonts/misc/fonts.alias

%dir /usr/X11R6/lib/X11/fonts/mdk
/usr/X11R6/lib/X11/fonts/mdk/*.gz
%ghost /usr/X11R6/lib/X11/fonts/mdk/fonts.dir

%config(noreplace) /usr/X11R6/lib/X11/rgb.txt

%ifarch %{ix86} sparc m68k armv4l
/usr/X11R6/lib/X11/fonts/PEX
%endif

%files libs
%defattr(-,root,root,-)
/usr/X11R6/lib/*.so.*
#/usr/X11R6/lib/libXfont*.so.*
#/usr/X11R6/lib/modules/dri/*.so

%files devel
%defattr(-,root,root,-)
/usr/X11R6/include/X11
/usr/X11R6/include/GL
/usr/X11R6/include/DPS
/usr/X11R6/include/bitmaps
/usr/X11R6/include/*.h
/usr/include/X11
/usr/include/GL
/usr/X11R6/man/man3

/usr/X11R6/lib/X11/config
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/xmkmf

/usr/X11R6/man/man1/imake.1x*
/usr/X11R6/man/man1/makedepend.1x*
/usr/X11R6/man/man1/xmkmf.1x*

/usr/X11R6/lib/*.so
/usr/X11R6/lib/libXx*.a
/usr/X11R6/lib/libXv.a
/usr/X11R6/lib/libXau.a

%files static-libs -f static.list
%defattr(-,root,root,-)

%files Xvfb
%defattr(-,root,root,-)
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1x*

%files Xnest
%defattr(-,root,root,-)
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1x*

%files doc
%defattr(-,root,root,-)
%doc xc/doc/hardcopy/*

%files 75dpi-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/75dpi
/usr/X11R6/lib/X11/fonts/75dpi/*.gz
/usr/X11R6/lib/X11/fonts/75dpi/fonts.alias
%ghost /usr/X11R6/lib/X11/fonts/75dpi/fonts.dir

%files 100dpi-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/100dpi
/usr/X11R6/lib/X11/fonts/100dpi/*.gz
/usr/X11R6/lib/X11/fonts/100dpi/fonts.alias
%ghost /usr/X11R6/lib/X11/fonts/100dpi/fonts.dir

%files cyrillic-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/cyrillic
/usr/X11R6/lib/X11/fonts/cyrillic/*.gz
/usr/X11R6/lib/X11/fonts/cyrillic/fonts.alias
%ghost /usr/X11R6/lib/X11/fonts/cyrillic/fonts.dir

%files xfs
%defattr(-,root,root,-)
#%doc xtt-%{xtt_ver}/doc/*
%attr(-,xfs,xfs) %dir /etc/X11/fs
%attr(-,xfs,xfs) %config(noreplace) /etc/X11/fs/config
%config(noreplace) /etc/rc.d/init.d/xfs
/etc/X11/encodings.dir
/etc/X11/bad_encodings.dir
/usr/X11R6/lib/X11/fs
/usr/X11R6/bin/fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/xfs
/usr/X11R6/man/man1/xfs.1x*
/usr/X11R6/man/man1/fsinfo.1x*
/usr/X11R6/man/man1/fslsfonts.1x*
/usr/X11R6/man/man1/fstobdf.1x*
/usr/X11R6/lib/X11/fonts/encodings


%changelog
* Wed Oct 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-28mdk
- some i18n improvements
- display of 16bit encoding still needs a hack in XLC_LOCALE files

* Wed Oct 18 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.1-27mdk
- Patch for PPC

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-26mdk
- added missing /var/lib/xdm dir.

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-25mdk
- corrected manipulation of ld.so.conf in libs %%post.

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.1-24mdk
- provide large icons and make others transparents

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.1-23mdk
- add icons to twm menu entry
- add icons to X small utilities like Xkill, Xrefresh ...
- more macrozifications

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-22mdk
- corrected static-libs package.
- added current CVS tree for neomagic.

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-21mdk
- put static only libs in the devel package.
- added a prereq on XFree86 = %%version for font packages to allow upgrade.
- corrected xfs startup script (thanks to Guillaume Rousse for pointing it).
- corrected startx to allow to launch multiple servers.

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-20mdk
- switched to pam_stack for xdm pam setup.
- added current CVS tree for GeForce2.

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-19mdk
- rewrite of xfs startup script (reload target).
- modified xinit and startx to allow runlevel changes from 3 to 5 to kill autologin.
- applied patches for sparc and alpha from redhat.
- updated xfs patch.

* Tue Sep 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-18mdk
- Fixe tdfx drm acceleration with the last framework of our kernels.

* Fri Sep 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-17mdk
- fixed VidMode extension to work with 3.3 servers.

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-16mdk
- fixed locales names and aliases

* Mon Sep 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-15mdk
- fixed problem with a duplicated mdk font
- added option deferplyphs 16 to xfs config (useful for CJK)
- added :unsaled to directories added by the chkfontpath (for non scalable
  fonts)

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-14mdk
- commented autologin patch
- cleanup of menu entries.
- compile support for Voodoo2.

* Thu Sep  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-13mdk
- noreplace
- launch mkfontdir in %%post of fonts package.

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-12mdk
- fixed XLC_LOCALE files for Chinese
- added full support for Greek typing
- added encoding files for xfsft font server

* Tue Sep  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-11mdk
- Learn to be safe, remove cvs updates.

* Wed Aug 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-10mdk
- Update to last drm from cvs..

* Mon Aug 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-9mdk
- merged back the i18n patches
- lots of new kbd layouts
- several new charset encodings

* Thu Aug 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-8mdk
- compiled with Glide_V3-DRI.

* Fri Aug 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-7mdk
- GLX headers are back.

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 4.0.1-6mdk
- fixed %%pre script of XFree86.
- removed provide to Mesa-devel in XFree86-devel.

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-5mdk
- oops fixed bad %%post of XFree86

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-4mdk
- remove Obsoletes Mesa.
- removed Xpm from the packages.
- %%post modifications for ld.so.conf are back.
- cleanup %%post to work on fresh install.
- don't compile DRM on architectures other than ix86.
- moved app-defaults, rstart, lbxproxy and proxymngr to /etc/X11 in
  the filelist.

* Fri Jul 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-3mdk
- applied patch for autologin with xdm
- added logrotate of /var/log/xdm-error.log
- make symlink from /usr/X11R6/include/GL to /usr/include/GL

* Thu Jul  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-2mdk
- included missing headers.
- tdfx_drv.o is back.

* Mon Jul  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-6mdk
- removed xterm stuff.
- enabled the elographics touchscreen driver.
- Fix missing -L/usr/X11R6/lib in generated Makefiles.
- Fixed empty man pages.

* Fri Mar 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-5mdk
- split the static libraries in their own package.

* Tue Mar 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-4mdk
- add back the static libraries.
- better menu support.
- compiled glide driver and put it in its own package.

* Fri Mar 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-3mdk
- fix bad .so symlinks in XFree86-devel.
- fixed conflicts with X11R6-contrib.
- added menu support.

* Tue Mar 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-2mdk
- corrected xfs startup.

* Mon Mar 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-1mdk
- 4.0
- config file is no longer called XF86Config.experimental. Use the
standard name XF86Config-4 instead.
- patch from Daryll Strauss for tdfx.

* Mon Mar  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.18-2mdk
- enabled i810.
- build all the packages.

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.18-1mdk
- 3.9.18.

* Mon Jan 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.17-1mdk

- first mandrake version.
- named config file XF86Config.experimental to avoid confusion with 3.3 releases.
